#!/bin/sh -efu

a= . install2-init-functions

bindmount()
{
	local src dst
	src="$1"; shift
	dst="$1"; shift
	if ! mountpoint -q $destdir$src; then
		mkdir -p $destdir$dst
		mount --bind $destdir$dst $destdir$src
		echo "$dst	$src	bind	bind	0	0" >> $destdir/etc/fstab
	fi
}

if grep -q '/evms/profiles/server.*action apply' /tmp/wizard.log ; then
	bindmount /srv /var/srv
	bindmount /home /srv/home
fi
